Bug 214809 - Update userspace multipath for dm_hp_sw hardware handler
Summary: Update userspace multipath for dm_hp_sw hardware handler
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
(Show other bugs)
Version: 4.4
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Wysochanski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On: 195685
Blocks: 348951
TreeView+ depends on / blocked
 
Reported: 2006-11-09 16:39 UTC by Dave Wysochanski
Modified: 2010-01-12 02:27 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* device-mapper-multipath now includes hardware table entries to support new HP array products, including product IDs for the XP, EVA, and MSA lines and default settings for HP arrays that use the dm_hp_sw hardware handler.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 20:31:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update hwtable.c based on latest upstream and other information. (1.99 KB, patch)
2008-05-30 18:13 UTC, Dave Wysochanski
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1011 normal SHIPPED_LIVE device-mapper-multipath bug-fix update and enhancement 2009-05-18 14:11:59 UTC

Description Dave Wysochanski 2006-11-09 16:39:01 UTC
Description of problem:
Update hwtable.c to incorporate default settings for HP active/passive arrays
that use dm_hp_sw hardware handler.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Wysochanski 2007-10-23 15:54:48 UTC
Patches for hp hardware handler are now upstream so need to make sure userspace
patch is in there.  In particular, we changed the kernel name from "hp_sw" to
"hp-sw" so that needs to go into the hwtable.c file.  Patch was submitted to
dm-devel here:
https://www.redhat.com/archives/dm-devel/2007-October/msg00008.html

Comment 3 RHEL Product and Program Management 2007-11-29 04:23:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Dave Wysochanski 2008-01-24 20:45:57 UTC
Just posted rhel4.7 patches to rhkernel for hp-sw hardware handler backport.

Comment 5 Dave Wysochanski 2008-02-26 01:01:32 UTC
New patches posted to rhkernel.  Will wait for ack before making userspace change.

Comment 6 Dave Wysochanski 2008-04-03 15:09:32 UTC
Kernel is in, just need to update userspace.  Shooting for next week, pending
lvm2 bz resolution.  Should be fairly straightforward but need to check for the
latest and coordinate with the including mpath_prio_hp_sw:
https://bugzilla.redhat.com/show_bug.cgi?id=438037

Comment 7 Dave Wysochanski 2008-04-15 14:11:14 UTC
The more important userspace update is now posted to
https://bugzilla.redhat.com/show_bug.cgi?id=438037

will work on hwtable.c now but wanted to get that one done first (users can
update the hardware table manually if need be).

Comment 8 Dave Wysochanski 2008-04-15 15:09:53 UTC
For the record, here's what I'm testing in the /etc/multipath.conf file:

        device {
                vendor                  "COMPAQ"
                product                 "MSA1000 VOLUME"
                path_grouping_policy    group_by_prio
                hardware_handler        "1 hp-sw"
                path_checker            hp_sw
                features                "1 queue_if_no_path"
                prio_callout            "/sbin/mpath_prio_hp_sw /dev/%n"
                failback                immediate
        }


Comment 9 Dave Wysochanski 2008-04-15 15:16:55 UTC
Oh yeah, I remember now why I was unsure.  Upstream is different from RHEL4 and
its not clear which was correct for which models.  Will try to resolve this now.

Comment 10 Dave Wysochanski 2008-04-15 16:29:25 UTC
For some reason I can't get the updates to hwtable.c to be used / picked up when
I run multipath to create the maps.  I'm sure I'm using the updated binary. 
This should be easy, hmmmm....

Comment 13 Dave Wysochanski 2008-05-30 18:13:27 UTC
Created attachment 307225 [details]
Update hwtable.c based on latest upstream and other information.

I have talked with Ben and I believe we can get a patch that will address this
bz in time for Snapshot 3.  Just sent a note to Ben with my patch but attaching
here for completeness.

Comment 15 RHEL Product and Program Management 2008-06-18 15:43:08 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 16 Ben Marzinski 2009-01-19 18:34:19 UTC
Patched. Thanks.

Comment 18 Ruediger Landmann 2009-02-02 05:52:59 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* device-mapper-multipath now includes hardware table entries to support new HP array products, including product IDs for the XP, EVA, and MSA lines and default settings for HP arrays that use the dm_hp_sw hardware handler.

Comment 20 errata-xmlrpc 2009-05-18 20:31:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1011.html


Note You need to log in before you can comment on or make changes to this bug.